var uiConfig = {
	"imgYes":		'<i class="layui-icon layui-icon-ok-circle"></i>',
	"imgNo" :		'<i class="layui-icon layui-icon-close-fill"></i>',
	"imgEdit":		'<i class="layui-icon layui-icon-edit"></i>',
	"imgDel":		'<i class="layui-icon layui-icon-delete"></i>',
	"imgAbout":		'<i class="layui-icon layui-icon-about"></i>',
	"imgEnable":	'<i class="layui-icon layui-icon-play"></i>',
	"imgDisable":	'<i class="layui-icon layui-icon-pause"></i>',
}

function getCookie(name) {
	var ck = document.cookie.split(";");
	for (i = 0; i < ck.length; i++) {
		if (ck[i].indexOf(name+"=") != -1) {
			return ck[i].split("=")[1];
		}
	}
	return "";
}

function IsDigit(str)
{
	var i;

	if (str == "")
		return false;

	i = 0
	if (str.charAt(0) == '-') 
		i = 1

	for (; i < str.length; i++) {
		if (str.charAt(i) < '0' || str.charAt(i) > '9')
			return false;
	}

	return true;
}

function IsDigitIn(str, min, max)
{
	var i;

	if (!IsDigit(str))
		return false;

	if (str >= min && str <= max)
		return true;

	return false;
}

function IsEngString(str)
{
	var i;

	if (str == "")
		return false;

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) >= 'a' && str.charAt(i) <= 'z' ||
		    str.charAt(i) >= 'A' && str.charAt(i) <= 'Z' ||
		    str.charAt(i) >= '0' && str.charAt(i) <= '9') {
			continue;
		}
		else {
			return false;
		}
	}

	return true;
}

function IsIPAddr(str)
{
	var i, j;
	var ar, tmp;
	var ipstr;

	/* format: x.x.x.x/n */
	ar = str.split("/");
	if (ar.length == 2) {
		if (ar[1] < 0 || ar[1] > 32)
			return false;
		ipstr = ar[0];
	}
	else {
		ipstr = str;
	}

	ar = ipstr.split(".");
	if (ar.length != 4)
		return false;

	for (i = 0; i < ar.length; i++) {
		if (ar[i] == "") return false;

		tmp = ar[i];
		for (j = 0; j < tmp.length; j++) {
			if (tmp.charAt(j) < '0' || tmp.charAt(j) > '9')
				return false;
		}

		if (ar[i] < 0 || ar[i] > 255)
			return false;
	}

	return true;
}

function TrimAll(str)
{
	var s="";

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) != ' ') {
			s = s + str.charAt(i);
		}
	}

	return s;
}

function AJXS(options)
{
	var uri = "";
	var json = "";

	if(options.data != undefined) {
		uri = "?";
		var keylist = Object.keys(options.data);
		for(var i = 0; i <= (keylist.length - 1); i++){
			key = keylist[i];
			if(i == ( keylist.length -1 ))
				uri = uri + key + "=" + options.data[key];
			else
				uri = uri + key + "=" + options.data[key] + "&";
		}
	}

	var http;
	if (typeof XMLHttpRequest != 'undefined')
		http = new XMLHttpRequest();
	else {
		try {
			http = new ActiveXObject("Msxml2.XMLHTTP");
		}catch (e) {
			try {
				http = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (e) {return ;}
		}
	}

	http.open(options.type, options.url + uri, true);
	http.setRequestHeader("Accept", "text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8");
	http.setRequestHeader("Cache-Control", "no-cache");
	http.setRequestHeader("Accept-Language", "zh-CN,zh;q=0.8");
	http.setRequestHeader("Content-Type", "text/html; charset=GB2312");

	http.onreadystatechange = function() {
		if (http.readyState == 4) {
			if (http.status == 200) {
				if(options.dataType != "html") {
					var json = eval('('+http.responseText+')');
					options.success(json);
				} else {
					options.success(http.responseText);
				}
			} else {
				options.error(http.status);
			}
		}
	}

	http.send(null);
}

function getQueryStr(variable)
{
	var query = window.location.search.substring(1);
	var vars = query.split("&");
	for (var i=0;i<vars.length;i++) {
		var pair = vars[i].split("=");
		if(pair[0] == variable)
			return pair[1];
	}
	return(false);
}

function ShowWindow(url, args, width, height)
{
	var left = (window.screen.width - width) / 2;
	var top  = (window.screen.height - height) / 2 - 50;

	if (args == "")
		args = "scrollbars=1,toolbar=0,menubar=0,status=0,location=0";
	else
		args += ",location=0";

	args += ",top=" + top + ",left=" + left + ",height=" + height + ",width=" + width;
	return window.open(url, "_blank", args);
}

function formatBytes(num)
{
	if (num >= 1024 * 1024 * 1024)
		return ((num / (1024 * 1024 * 1024))).toFixed(2) + 'G';
	else
	if (num >= 1024 * 1024)
		return ((num / (1024 * 1024))).toFixed(2) + 'M';
	else
	if (num >= 1024)
		return ((num / 1024)).toFixed(2) + 'K';
	else
		return num;
}

function numberformat(num)
{
	if (num >= 1000000000)
		return ((num / 1000000000)).toFixed(2) + 'G';
	else
	if (num >= 1000000)
		return ((num / 1000000)).toFixed(2) + 'M';
	else
	if (num >= 1000)
		return ((num / 1000)).toFixed(2) + 'K';
	else
		return num;
}

function alert_err(msg)
{
	layer.alert(msg, {
		"icon":2, 
		"anim":6, 
		"btn": ['OK'],
		"title": "Error",
		"shade":["0.0", "#ffffff"]
	});
}

function alert_tips(msg)
{
	layer.alert(msg, {
		"icon":0, 
		"anim":0, 
		"btn": ['OK'],
		"title": "Tips",
		"shade":["0.0", "#ffffff"]
	});
}

function alert_ok(msg)
{
	layer.alert(msg, {
		"icon":1, 
		"anim":0, 
		"btn": ['OK'],
		"title": "Info",
		"shade":["0.0", "#ffffff"]
	});
}

function _check_screen()
{
	var width = document.body.clientWidth;

	if(width > 1200)
		return 3; //Ļ
	else if(width > 992)
		return 2; //Ļ
	else if(width > 768)
		return 1; //СĻ
	else
		return 0; //СĻ
}

/* չԭlayer.open
1. ӦСĻ
2. 첽ļ
*/
function paopen(options)
{
	var success = options.success;

	if(_check_screen() < 2) {
		var _width = $(window).width() - 40;
		var _height = $(window).height() - 40;

		if(typeof options.area === 'string') {
			var src_w = parseInt(options.area.substr(0, options.area.length - 2));
			if(src_w > _width) options.area = _width + "px";
		} else {
			var src_w = parseInt(options.area[0].substr(0, options.area[0].length - 2));
			var src_h = parseInt(options.area[1].substr(0, options.area[1].length - 2));

			if(src_w > _width) options.area[0] = _width + "px";
			if(src_h > _height) options.area[1] = _height + "px"; 
		}
	}

	var Default = {
		type: 1
		,content: ''
		,shadeClose: true
		,moveOut: true
		,resize: false
		,success: function(layero, index){
			typeof success === 'function' && success.apply(this, arguments);
		}
	};

	var _popup = function(options) {
		return layer.open($.extend(Default, options));
	}

	if(!options.url) return _popup(options);

	AJXS({
		url: options.url,
		type: "GET",
		dataType: 'html',
		success: function(html){
			options.content = html;
			return _popup(options);
		}
	});	
}
